Utils

## Class Utils

- java.lang.Object
- - Utils.Utils

-     public final class Utils
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String[]` | `ALL_IPS`
    `static java.lang.String` | `DATABASE_IP`
    `static java.lang.String[]` | `LINUX_IPS`
    `static java.lang.String[]` | `WINDOWS_IPS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Utils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `loadConfFile()` Loads SIEM.conf file and saves the current configuration as a Utils.Configuration object
    `static void` | `updateComboBox(javax.swing.JComboBox combo, java.lang.String path)` Updates combo boxes items

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ALL_IPS

          public static final java.lang.String[] ALL_IPS

    - #### LINUX_IPS

          public static final java.lang.String[] LINUX_IPS

    - #### WINDOWS_IPS

          public static final java.lang.String[] WINDOWS_IPS

    - #### DATABASE_IP

          public static final java.lang.String DATABASE_IP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Utils

          public Utils()

  - ### Method Detail

    - #### updateComboBox

          public static void updateComboBox(javax.swing.JComboBox combo,
                                            java.lang.String path)
                                     throws java.io.IOException

      Updates combo boxes items
      Parameters:
        `combo` - Component to update
        `path` - Path where scripts are
      Throws:
        `java.io.IOException`

    - #### loadConfFile

          public static void loadConfFile()

      Loads SIEM.conf file and saves the current configuration as a Utils.Configuration object